View Issue Details

IDProjectCategoryView StatusLast Update
0000730OpenIVTools - Texture editorpublic2020-06-22 23:05
ReporterDmonDhaBossAssigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version4.0.1 
Target VersionFixed in Version 
Summary0000730: I Try to view textures in edit mode for gta iv and this happens
DescriptionTime: "18:32:46"
Type: "EMethodNotFound"
Message: "Method "IsDx11Texture" not found in type "Rage.Graphics.Texture.grcTexturePC""

Additional information:
[Context]
App::Lang=en_GB
Main::ExploreArchiveNode::WorkItem=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\pc\models\cdimages\playerped.rpf|
GetSystemDefaultLangID=1033
SysLocale={ DefaultLCID: "1033", PriLangID: "9", SubLangID: "1", FarEast: "True", MiddleEast: "True" }
App::Path=C:\Users\krazy\AppData\Local\New Technology Studio\Apps\OpenIV\
GetThreadLocale=1033 (0x0409)
Game::Platform=pc
Main::ExploreArchiveNode::ParentArchive=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\pc\models\cdimages\playerped.rpf
WebClientIndex=587957068
Core::OpenArchive::LastCall=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\pc\models\cdimages\playerped.rpf
ApplicationPath=C:\Users\krazy\AppData\Local\New Technology Studio\Apps\OpenIV\
OS=Windows 10 (Version 10.0, Build 0, 64-bit Edition)
RunCurrentItemAction=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\pc\models\cdimages\playerped.rpf|lowr_diff_000_a_uni.wtd
WebClientToken={46708B16-DC50-4DCF-BE74-CAD6BFE6DF50}
Game::ID=IV (GTA IV)
GetSystemDefaultLCID=1033
WebClientId=59518145
Action::Open::Execute=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\pc\models\cdimages\playerped.rpf|lowr_000_u.wdr|lowr_000_u.wdr|lowr_000_u.wdr
App::Temp=C:\Users\krazy\AppData\Local\Temp\OpenIV_04C2D09A\
Game::Path=C:\Program Files (x86)\Steam\steamapps\common\Grand Theft Auto IV\GTAIV\

[Windows]
TMainWindow=OpenIV - playerped.rpf - [Edit mode]
TActionsModule=ActionsModule
TTextureEditorWindow=lowr_diff_000_a_uni.wtd - OpenIV Texture editor
TErrorWindow=OpenIV - Application error


[Exeption]
Exe: 4.0.1.1450 6/20/2020
Address: 0x009178B0
ClassName: EMethodNotFound
MessageText: Method "IsDx11Texture" not found in type "Rage.Graphics.Texture.grcTexturePC"

ClientId: 59518145
Steps To Reproduceenter edit mode, view texture
TagsNo tags attached.
GameGrand Theft Auto IV/EfLC

Relationships

has duplicate 0000731 closed Error when viewing textures in edit mode 
has duplicate 0000732 closed Crash when attempting to export .dds texture file to desktop from .wtd file - GTA IV Complete 
has duplicate 0000733 closed When attempting to edit wtd textures in GTAIV Complete Edition open iv crashes. 

Activities

Team

2020-06-22 23:05

developer   ~0000584

This issue is fixed in the latest update, run OpenIV to get the update.

Issue History

Date Modified Username Field Change
2020-06-21 01:46 DmonDhaBoss New Issue
2020-06-22 23:04 Team Relationship added has duplicate 0000731
2020-06-22 23:04 Team Relationship added has duplicate 0000732
2020-06-22 23:04 Team Relationship added has duplicate 0000733
2020-06-22 23:05 Team Status new => closed
2020-06-22 23:05 Team Resolution open => fixed
2020-06-22 23:05 Team Note Added: 0000584